# CustomLoadingScreens

  * Lets you replace the black screen and the tip screen with custom png files and optionally your own list of tips.
  * This is a re-upload of aedenthorn's Custom Loading Screens from NexusMods with the latest fixes.

  * To use this mod after installing it, place as many png files as you like in BepInEx\plugins\CustomLoadingScreens\

  * The mod will choose one image at random for the Loading... part, and optionally another for the screen with the tips.

  * You can optionally add a tips.txt file with one tip per line if you want to replace the tips with your own list. Tips can be shown on both parts of the loading screen.

  * You can also customize the vignette, color mask, etc. in the config file.

  * The mod comes with an empty tips.txt file and three png files from Wikipedia vaguely related to Vikings.

  * The tips in the screenshots come from https://www.kickassfacts.com/viking-facts/ I make no guarantee about the veracity of the Viking facts on that site.

## Config

  * A config file 'BepInEx/config/aedenthorn.CustomLoadingScreens.cfg' is created after running the game once with this mod.
  * You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿: https://www.nexusmods.com/valheim/mods/740
  * To reload the config from the config file, type loadingscreens reset into the game's console (F5).

## Technical

 * To install manually, place the .dll file in the BepInEx/plugins folder. You will need BepInEx.
 * Code is at https://github.com/aedenthorn/ValheimMods.
 * If you want to complain or ask for help or help me test my mods, you can visit my Discord server﻿: https://discord.gg/bs6zHuj

### Thunderstore (manual)

  * Go to Settings > Import local mod > Select `AedenthornModding-CustomLoadingScreens-0.7.0.zip`.
  * Click "OK/Import local mod" on the pop-up for information.


## Changelog

## 0.7.0
  * Fix for update
## 0.5.0
  * Fix for mistlands update
## 0.4.0
  * Fix for update
## 0.3.0
  * Added loading tips to loading screen
## 0.2.1
  * Fixed never loading last png in list
## 0.2.0
  * Fixed image stretching